Overview | Package | Class | Tree | Deprecated | Index | Help
| Copyright © 2000, 2009, Oracle and/or its affiliates. All rights reserved.
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.bea.portal.tools.portal.actions
Class BookInstanceAction

    java.lang.Object
      com.bea.portal.tools.portal.actions.PortalControlAction
          com.bea.portal.tools.portal.actions.BookInstanceAction

All Implemented Interfaces
  ControlAction

    public class BookInstanceAction

extends PortalControlAction

Objects extending this class implement actions to be taken on portal controls. These may be used to specify multiple actions which need to occur in a single transactioni by calling the Portal controls' executeActions() method.

Method Summary
`static BookInstanceAction` | `addNavigable(BookInstanceControl control, NavigableDefinitionId navigableToAddId, int position, BookInstanceId targetBookId, String webApp, PortalPath portalPath, DesktopPath desktopPath)` Adds a child page or book (a navigable) to the specified book when the action is executed.
`void` | `doAction(ResourceContext context)` Method that actually performs the action on the control.
`static BookInstanceAction` | `moveNavigable(BookInstanceControl control, NavigableInstanceId navigableToMoveId, int position, BookInstanceId parentBookId, String webApp, PortalPath portalPath, DesktopPath desktopPath)` Moves a child book or page (a navigable) within the specified book when the action is executed.
`static BookInstanceAction` | `removeNavigable(BookInstanceControl control, NavigableInstanceId navigableToRemoveId, BookInstanceId parentBookId, String webApp, PortalPath portalPath, DesktopPath desktopPath)` Removes a child book or page (a navigable) from the specified book when the action is executed.
`static BookInstanceAction` | `rename(BookInstanceControl control, String title, BookInstanceId parentBookId, String webApp, PortalPath portalPath, DesktopPath desktopPath)` Resets the title of the book instance when the action is executed.
`static BookInstanceAction` | `setDefaultNavigable(BookInstanceControl control, NavigableInstanceId navigableId, BookInstanceId bookId, String webApp, PortalPath portalPath, DesktopPath desktopPath)` Sets the default navigable for a book when the action is executed.
`String` | `toString()`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Method Detail

### addNavigable

    public static BookInstanceAction addNavigable(BookInstanceControl control,
                                                  NavigableDefinitionId navigableToAddId,
                                                  int position,
                                                  BookInstanceId targetBookId,
                                                  String webApp,
                                                  PortalPath portalPath,
                                                  DesktopPath desktopPath)

  Adds a child page or book (a navigable) to the specified book when the action is executed.

  Parameters
    `control` - the control to execute the action on.
    `navigableToAddId` - the id of the page or book to add
    `position` - the position of the child within the book
    `targetBookId` - the ID of the book to add the navigable to
    `webApp` - the webapp name
    `portalPath` - the portal path
    `desktopPath` - the desktop path

### removeNavigable

    public static BookInstanceAction removeNavigable(BookInstanceControl control,
                                                     NavigableInstanceId navigableToRemoveId,
                                                     BookInstanceId parentBookId,
                                                     String webApp,
                                                     PortalPath portalPath,
                                                     DesktopPath desktopPath)

  Removes a child book or page (a navigable) from the specified book when the action is executed.

  Parameters
    `control` - the control to execute the action on.
    `navigableToRemoveId` - the id of the page or book to remove
    `parentBookId` - the ID of the book to remove the navigable from
    `webApp` - the webapp name
    `portalPath` - the portal path
    `desktopPath` - the desktop path

### moveNavigable

    public static BookInstanceAction moveNavigable(BookInstanceControl control,
                                                   NavigableInstanceId navigableToMoveId,
                                                   int position,
                                                   BookInstanceId parentBookId,
                                                   String webApp,
                                                   PortalPath portalPath,
                                                   DesktopPath desktopPath)

  Moves a child book or page (a navigable) within the specified book when the action is executed.

  Parameters
    `control` - the control to execute the action on.
    `navigableToMoveId` - the id of the page or book to move
    `position` - the new position of the child within the book
    `parentBookId` - the ID of the book to move the navigable in
    `webApp` - the webapp name
    `portalPath` - the portal path
    `desktopPath` - the desktop path

### rename

    public static BookInstanceAction rename(BookInstanceControl control,
                                            String title,
                                            BookInstanceId parentBookId,
                                            String webApp,
                                            PortalPath portalPath,
                                            DesktopPath desktopPath)

  Resets the title of the book instance when the action is executed.

  Parameters
    `control` - the control to execute the action on.
    `title` - the new title for the book instance
    `parentBookId` - the ID of the book to rename
    `webApp` - the webapp name
    `portalPath` - the portal path
    `desktopPath` - the desktop path

### setDefaultNavigable

    public static BookInstanceAction setDefaultNavigable(BookInstanceControl control,
                                                         NavigableInstanceId navigableId,
                                                         BookInstanceId bookId,
                                                         String webApp,
                                                         PortalPath portalPath,
                                                         DesktopPath desktopPath)

  Sets the default navigable for a book when the action is executed. The page or book specified will be the first one rendered when the parent book is displayed.

  Parameters
    `control` - the control to execute the action on.
    `navigableId` - the id of the page or book that will be the default
    `bookId` - the id of the book to set the default navigable for.
    `webApp` - the webapp name
    `portalPath` - the portal path
    `desktopPath` - the desktop path

### doAction

    public void doAction(ResourceContext context)
                  throws Exception

  Method that actually performs the action on the control.

  Specified by:
    `doAction` in interface `ControlAction`
  Specified by:
    `doAction` in class `PortalControlAction`
  Throws
    `Exception`

### toString

    public String toString()

  Overrides:
    `toString` in class `Object`

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2000, 2009, Oracle and/or its affiliates. All rights reserved.
Oracle is a registered trademark of Oracle Corporation and/or its affiliates.
Other names may be trademarks of their respective owners.